For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • GETJob titles list
      • GETRetrieve Country List
      • GETRetrieve Seniority Levels
      • GETRetrieve Supported Currency List
      • GETRetrieve Time-Off Types
LogoLogo
SupportDeel Home
EndpointsLookups

Job titles list

GET
/lookups/job-titles
GET
/rest/v2/lookups/job-titles
$curl https://api.letsdeel.com/rest/v2/lookups/job-titles \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": 1234,
5 "name": "3D Artist"
6 }
7 ],
8 "page": {
9 "cursor": "eyJvZmZzZXQiOjEwMCwibGltaXQiOjEwMCwiZmlsdGVyVHlwZSI6ImFsbCJ9"
10 }
11}

Returns the platform’s catalogue of predefined job titles. Results are paginated using cursor-based navigation via after_cursor.

Was this page helpful?
Previous

Retrieve Country List

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

after_cursorstringOptional
Cursor for pagination. Use this to retrieve the next page of results.

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication